<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    tools:context=".ui.activity.ApplyFriendsDetailActivity">

    <com.kaixed.kchat.ui.widget.CustomTitleBar
        android:id="@+id/ctl"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent"
        app:titleIcon="@drawable/ic_more" />

    <androidx.constraintlayout.utils.widget.ImageFilterView
        android:id="@+id/ifv_avatar"
        android:layout_width="55dp"
        android:layout_height="55dp"
        android:layout_marginStart="15dp"
        android:layout_marginTop="15dp"
        android:src="@drawable/ic_avatar"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ctl"
        app:round="8dp" />

    <TextView
        android:id="@+id/tv_contact_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="15dp"
        android:text="糕小菜菜"
        android:textColor="@color/black"
        android:textSize="17sp"
        app:layout_constraintStart_toEndOf="@id/ifv_avatar"
        app:layout_constraintTop_toTopOf="@id/ifv_avatar" />


    <TextView
        android:id="@+id/tv_contact_signature"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="平安顺遂,喜乐无忧"
        android:textSize="14sp"
        app:layout_constraintStart_toStartOf="@id/tv_contact_name"
        app:layout_constraintTop_toBottomOf="@id/tv_contact_name" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/barrier"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="bottom"
        app:constraint_referenced_ids="ifv_avatar,tv_contact_signature" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="15dp"
        android:orientation="vertical"
        app:layout_constraintTop_toBottomOf="@id/barrier">

        <View
            android:layout_width="match_parent"
            android:layout_height="0.7dp"
            android:layout_marginStart="15dp"
            android:background="#E5E5E5" />

        <RelativeLayout
            android:id="@+id/rl_setRemark"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp">


            <TextView
                android:id="@+id/tv_setRemark"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="设置备注和标签"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />

        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="0.7dp"
            android:layout_marginStart="15dp"
            android:background="#E5E5E5" />


        <View
            android:layout_width="match_parent"
            android:layout_height="8dp"
            android:background="#E5E5E5" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/tv_signature"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="15dp"
                android:paddingVertical="15dp"
                android:text="个性签名"
                android:textColor="@color/black"
                android:textSize="16sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginStart="15dp"
                android:background="#E5E5E5"
                app:layout_constraintBottom_toTopOf="@id/tv_origin"
                app:layout_constraintTop_toBottomOf="@id/tv_signature" />


            <TextView
                android:id="@+id/tv_origin"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="15dp"
                android:paddingVertical="15dp"
                android:text="来源"
                android:textColor="@color/black"
                android:textSize="16sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_signature" />

            <TextView
                android:id="@+id/tv_signature_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:ellipsize="end"
                android:maxWidth="250dp"
                android:maxLines="1"
                android:text="平安顺遂，喜乐无忧。"
                android:textSize="16sp"
                app:layout_constraintBottom_toBottomOf="@id/tv_signature"
                app:layout_constraintStart_toEndOf="@id/tv_signature"
                app:layout_constraintTop_toTopOf="@id/tv_signature" />

            <TextView
                android:id="@+id/tv_origin_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:maxWidth="250dp"
                android:maxLines="1"
                android:text="来自账号搜索"
                android:textSize="16sp"
                app:layout_constraintBottom_toBottomOf="@id/tv_origin"
                app:layout_constraintStart_toStartOf="@id/tv_signature_content"
                app:layout_constraintTop_toTopOf="@id/tv_origin" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="8dp"
            android:background="#E5E5E5" />

        <RelativeLayout
            android:id="@+id/rl_send_message"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp"
            tools:ignore="RtlSymmetry">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:text="添加到通讯录"
                android:textColor="@color/normal"
                android:textSize="16sp"
                android:textStyle="bold" />


        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="0.7dp"
            android:background="#E5E5E5" />


        <View
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#E5E5E5" />

    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>